DSCKickstart.psm1

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
#Requires -RunAsAdministrator
$WinVer = [System.Environment]::OSVersion.Version
if (($WinVer.Major -ge 10) -and ($WinVer.Build -ge 14393)) {    
    $Private = @(Get-ChildItem $PSScriptRoot\Private -Filter *.ps1)    
        Foreach($p in ($Private)) {
            Try {
                . $p.fullname
            }
            Catch {
                Write-Error -Message "Failed to import function $($p.fullname): $_"
            }
        }
    Export-ModuleMember -Function $Public.BaseName
}
else {
    throw 'The DSCKickstart module requires Windows 10 or Server 2016 build 14393 or above'
}